Browse Source

alltests scripts

David Sniperovitch 8 years ago
parent
commit
8023409399
2 changed files with 3 additions and 2 deletions
  1. 1 1
      .travis.yml
  2. 2 1
      alltests

+ 1 - 1
.travis.yml

@@ -23,5 +23,5 @@ notifications:
       - "%{commit_message}"
       - "%{commit_message}"
     use_notice: true
     use_notice: true
 script:
 script:
-  - ./test_cocktail_01 && ./test_cocktail_02 && ./test_cocktail_03
+  - ./alltests
 
 

+ 2 - 1
alltests

@@ -1,3 +1,4 @@
 #!/bin/bash
 #!/bin/bash
-./test_cocktail_01 && ./test_cocktail_02 && ./test_cocktail03
+./test_cocktail_01 && ./test_cocktail_02 && ./test_cocktail_03 && echo [ALL TESTS OK] && exit 0
+echo [FAILED] && exit 1